curl --request POST \
--url https://api.notifly.tech/messages/kakao-brand-message/freestyle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"channelId": "your-kakao-channel-id",
"target": "M",
"chatBubbleType": "IMAGE",
"message": "새로운 라이브 상품이 등록되었습니다.",
"attachment": {
"image": {
"imgUrl": "https://mud-kage.kakao.com/example/image.jpg",
"imgLink": "https://example.com/products/123"
}
},
"recipientList": [
{
"recipientNo": "01012345678"
}
]
}
'{
"success": true
}{
"success": false,
"error": "Sender info is not registered."
}{
"success": false,
"error": "Invalid Authorization Token"
}{
"success": false,
"error": "Payload Too Large. Can accept up to 1000 recipients per request."
}{
"success": false,
"error": "Internal Server Error"
}Messaging
Send a free-form Kakao Brand Message
Send a message without a template.
POST
/
messages
/
kakao-brand-message
/
freestyle
curl --request POST \
--url https://api.notifly.tech/messages/kakao-brand-message/freestyle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"channelId": "your-kakao-channel-id",
"target": "M",
"chatBubbleType": "IMAGE",
"message": "새로운 라이브 상품이 등록되었습니다.",
"attachment": {
"image": {
"imgUrl": "https://mud-kage.kakao.com/example/image.jpg",
"imgLink": "https://example.com/products/123"
}
},
"recipientList": [
{
"recipientNo": "01012345678"
}
]
}
'{
"success": true
}{
"success": false,
"error": "Sender info is not registered."
}{
"success": false,
"error": "Invalid Authorization Token"
}{
"success": false,
"error": "Payload Too Large. Can accept up to 1000 recipients per request."
}{
"success": false,
"error": "Internal Server Error"
}- All recipients in a request receive the same message content.
- If the message type requires an image, call Upload a Brand Message image first. Use the returned
data.images[].urlvalue. - For
PREMIUM_VIDEO, setvideoUrlto the delivery URL that Kakao BizMessage’s video upload API returns after registration and encoding. A general video URL or a KakaoTV page URL does not work. Notifly currently has no public video upload API. If you need video upload, contact contact@notifly.tech. - Free-form messages support
M,N, andIaudiences. They do not supportI+N. - The endpoint supports channels that use the
NotiflyKakaoTalk delivery platform. Channels usingNotifly (Legacy)cannot use this endpoint.
Authorizations
Body
application/json
- Text
- Image
- Wide image
- Wide item list
- Carousel feed
- Premium video
- Commerce
- Carousel commerce
